Subject: [Teas] IETF TE Topology YANG Model Design Meeting Notes - 2017-10-25

From: Xufeng Liu <[email-masked]>
Date: Thu, 26 Oct 2017 18:44:34 +0000

Attendees: Igor, Xufeng, Carlo, Dieter, Young, Italo, Sergio

- Discussed technology specific augmentation guidance to ietf-te-topology model
  > Reviewed the new section in draft-ietf-teas-yang-te-topo, on the
    guidance for writing technology specific TE topology augmentations.
  > Attendees had no issues, from the WDM, OTN, and packet perspectives.

- Discussion one collaboration issue from technology specific augmentations.
  > Topology name is added in many augmentations: OTN, L2, ETH.
    o Agreed the cleanup to add the name leaf to te-topology and
      remove it from all augmentations.
  > Node name is added in many augmentations: OTN, L2, ETH.
    o Agreed the cleanup to change the name leaf to string in
      te-topology and removed it from all augmentations.

- Discussed updates in ietf-te-types
  > Because the new ietf-te-types.yang contains a non-backward
    compatible change (lsp-prot-type to lsp-protection-type), we cannot
    submit the te-topology draft before ietf-te-types.yang.
  > Xufeng to resolve this with Tarek.

Thanks,
- Xufeng